<script type="text/javascript">
$(document).ready(function() {
	$("#txt_nopol").focus();

	$("#txt_nopol").keyup(function(){
		var kode = $("#txt_nopol").val();
		
		$.ajax({
			type	: "POST",
			url	: "modul/truck/cari_nopol.php",
			data	: "kode="+kode,
			dataType	: "json",
			success	: function(data){
				$("#t_nopol").val(data.nopol);
				var cnopol = $("#t_nopol").val();
				if (!cnopol==''){
					alert('Maaf, nomor polisi '+cnopol+' sudah ada.');
					return(false);
				}
			}
		});
	});
	
	$("#simpan").click(function(){
		simpan_data();
	});

	function simpan_data(){
		var nopol		= $("#txt_nopol").val();
		var namakd	= $("#txt_namakd").val();
		var tahun 		= $("#txt_tahun").val();
		var tanggalpj	= $("#txt_tanggalpj").val();
		var error		= false;

		if(nopol.length == 0){
			var error = true;
			alert("Maaf, Nomor polisi tidak boleh kosong.");
			$("#txt_nopol").focus();
			return (false);
        }
		
		if(namakd.length == 0){
			var error = true;
			alert("Maaf, Nama sales tidak boleh kosong.");
			$("#txt_nama").focus();
			return (false);
        }	 
		 
		if(error == false){
		$.ajax({
			type	: "POST",
			url	: "modul/truck/simpan.php",
			data	: "nopol="+nopol+
					"&namakd="+namakd+
					"&tahun="+tahun+
					"&tanggalpj="+tanggalpj,
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$(".input").val('');
				$("#txt_nopol").focus();
			}
		});
		}
	}
	
	$("#keluar").click(function(){
		document.location='?module=home';
	});
});
</script>

<?php
echo "<input type='hidden' id='akses'>";
echo "<table>
	<tr>
		<input type='text' name='t_nopol' id='t_nopol' size='12' lenght='12' class='input' hidden />
		<td>Nomor Polisi</td>
		<td>:</td>
		<td><input type='text' name='txt_nopol' id='txt_nopol' size='12' lenght='12' class='input' ></td>
	</tr>
	<tr>
		<td>Nama Kendaraan</td>
		<td>:</td>
		<td><input type='text' name='txt_namakd' id='txt_namakd' size='30' lenght='30' class='input'></td>
	</tr>
	<tr>
		<td>Tahun Produksi</td>
		<td>:</td>
		<td><input type='text' name='txt_tahun' id='txt_tahun' size='4' lenght='4' class='input'></td>
	</tr>
	<tr>
		<td>Tanggal STNK</td>
		<td>:</td>
		<td><input type='date' name='txt_tanggalpj' id='txt_tanggalpj' size='10' lenght='10' class='input'></td>
	</tr>
	<table width='100%'
	<tr>
		<td colspan='3' align='center'>		
		<button name='simpan' id='simpan'>Simpan</button>
		<button name='keluar' id='keluar'>Keluar</button>
		</td>
	</tr>
	</table>";
?>